<app-template-page [titre]="'Description du client'" [visible]="false">
  <div class="container">
    <div class="row justify-content-end m-3" >
      <table class="table table-striped table-bordered table-hover">
        <caption>Description du client</caption>
        <thead>
          <tr>
            <th>Nom</th>
            <th>Prénom</th>
            <th>Entreprise</th>
            <th>Courriel</th>
            <th>Téléphone</th>
            <th>Portable</th>
            <th>Notes</th>
            <th>Statut</th>
          </tr>
        </thead>
        <tbody>
          <tr >
            <td>{{cust.lastname}}</td>
            <td>{{cust.firstname}} </td>
            <td> {{cust.company}} </td>
            <td> {{cust.mail}} </td>
            <td> {{cust.phone}} </td>
            <td> {{cust.mobile}} </td>
            <td> {{cust.notes}} </td>
            <td>
              <p *ngIf= "cust.active" > actif </p>
              <p *ngIf= "!cust.active" > inactif </p>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</app-template-page>

<app-template-page [titre]="'Commandes associées'" [visible]="false">
  <div class="container">
    <div class="row justify-content-end m-3" >
      <table class="table table-striped table-bordered table-hover">
        <caption>Liste des commandes associées au client</caption>
        <thead>
          <tr>
            <th>Label</th>
            <th>Durée</th>
            <th>TJM HT</th>
            <th>TVA.</th>
            <th>Status</th>
            <th>Type</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let order of orders$ | async  | slice: (page-1) * pageSize : (page-1) * pageSize + pageSize; let i =index ; ">
            <td><a [routerLink]="'/orders/description/'+order.id" >{{order.label}}</a></td>
            <td> {{order.numberOfDays}} </td>
            <td> {{order.adrEt}} </td>
            <td> {{order.tva}} </td>
            <td> {{order.status}} </td>
            <td> {{order.type}} </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</app-template-page>

